#pragma once
#include <map>
struct M_ActivityVipBagCFGData
{
	//编号
	int mID;
	//VIP等级
	int mVipLevel;
	//购买次数
	int mPurchaseCount;
	//礼包id
	std::vector<int> mbagId;
};

class M_ActivityVipBagCFG
{
public:
private:
	static std::auto_ptr<M_ActivityVipBagCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityVipBagCFGData* GetData(int ID);
	const std::map<int, M_ActivityVipBagCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityVipBagCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityVipBagCFGData> mMapData;
};
